Program
' *************************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 10/18/00
' File Name	: AddEvent-n-ReadRecAdded.bas
' Description	: Add Event Record
' *************************************************************************************************

' Initialize Variables

	IntegerToString strId Id
	IntegerToString strParentId ParentId
	GetInteger intMBNumber DXMBNumber 0
	ERDB-Open = No
	EType = 1
	SubType = 0
	Status = 0
	Date = $today
	ParentId = 0
	Trigger = DXMBNumber

	
' Set Query for RecordingInfo Table

	Set ERvarSet = New Recordset

    	strSQL = "SELECT * FROM Event"

    	Print "   "
    	PrintNL strSQL
    

' Open Event database 
    	ERvarSet.Open strSQL "ODBC;DATABASE=CallMaster;UID=;PWD=;DSN=CallMaster"

    	Set ERvarFields = ERvarSet.Fields
	ERDB-Open = Yes
  	PrintNL "ERDB-Open"

	Set ERvarId = ERvarFields.Field 1
	Set ERvarType = ERvarFields.Field 2
	Set ERvarSubType = ERvarFields.Field 3
	Set ERvarStatus = ERvarFields.Field 4
	Set ERvarDate = ERvarFields.Field 5
	Set ERvarParentId = ERvarFields.Field 6
	Set ERvarTrigger = ERvarFields.Field 7


' Add record
	ERvarSet.AddNew
	PrintNL "Completed AddNew"
	

'  Update field values from local variables

	ERvarType.SetValue EType
	ERvarSubType.SetValue SubType
	ERvarStatus.SetValue Status
	ERvarDate.SetValue Date
	ERvarParentId.SetValue ParentId
	ERvarTrigger.SetValue Trigger

' Update Record
        ERvarSet.Update
	PrintNL "Completed Update"

' Read record added
	'ERvarSet.MoveLast
	'Set ERvarId = ERvarFields.Field 1
	'EventId = ERvarId.Value
	'Print "Event Id = "
	'PrintNL EventId

' Destroy varField Objects
    	Set ERvarType = Nothing
	Set ERvarSubType = Nothing
	Set ERvarStatus = Nothing
	Set ERvarDate = Nothing
	Set ERvarParentId = Nothing
	Set ERvarTrigger = Nothing


' Destroy Fields Object
    	Set ERvarFields = Nothing

' Close recordset
    	ERvarSet.Close

' Free memory
    	Set ERvarSet = Nothing

' Event table closed
	ERDB-Open = No
  	PrintNL "ERDB-Closed"


' Open Event database again to get Id of newly updated record

	Set ERvarSet = New Recordset

    	strSQL = "SELECT * FROM Event WHERE Trigger = '"
    	strSQL = strSQL & DXMBNumber
    	strSQL = strSQL & "'"
    	strSQL = strSQL & " and ParentID = "
    	strSQL = strSQL & strParentId

    	Print "   "
    	PrintNL strSQL
    

    	ERvarSet.Open strSQL "ODBC;DATABASE=CallMaster;UID=;PWD=;DSN=CallMaster"

    	Set ERvarFields = ERvarSet.Fields
	ERDB-Open = Yes
  	PrintNL "ERDB-Open"

	Set ERvarId = ERvarFields.Field 1
	EventId = ERvarId.Value
	Print "Event Id = "
	PrintNL EventId

'Clear field
	Set ERvarId = Nothing


' Destroy Fields Object
    	Set ERvarFields = Nothing

' Close recordset
    	ERvarSet.Close

' Free memory
    	Set ERvarSet = Nothing

' Event table closed
	ERDB-Open = No
  	PrintNL "ERDB-Closed"

EndProgram
