Program

' *******************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 5/25/02
' File Name	: SlaveTest.bas
' Description	: Make a call on another line
' *******************************************************************************************

   PrintNL "SlaveTest test Script"

   slaveport = "5"
	' slaveport returns with the enslaved port.  Port 0 means any free port,  a range eg "2-7" can be used

   slavehandle = 0
	' The name "slavehandle" is key to controling a slave channel.  If that variable exists then the value it contains is used to 
	' control the slave channel.
	' slavehandle must be zero to request to enslave a port.  It returns a valid non zero handle to be used for future telephony calls
	' Non Zero if successfull so you can test it was successful or not.

   Enslave slaveport slavehandle 

   Print "Enslaved port: "
   Print slaveport
   Print " Slave handle: "
   PrintNL slavehandle

    
    	Print "Bridge Test Script Started"
	port1 = 1
	port1Type = "LSI"
	port2 = 5
	port2Type = "FAX"
	duplex = "FULLDUPLEX" 
				' FULLDUPLEX HALFDUPLEX FULLDISCONNECT HALFDISCONNECT

	Bridge port1 port1Type port2 port2Type duplex 

	PrintNL "Bridge Connected"

EndProgram
