Program

' '**********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 04/08/08
' File Name	: ExpandAbrv.bas
' Description	: Expands abbreviated text for the purpose of using text to speech uses pointer to datbase that has Abbreviation table. 
'		: The table name must be CMAbbreviations with 3 fields:
'		: Field 1 is auto number id field
'		: Field 2 is abbreviation string
'		: Field 3 is the expanded string
' 		: 
'		: Usage> ExpandAbrv AbreviatedString DBConnString ExpandedString
'		: AbreviatedString -	<in/string>  contains the string which may contain abbreviations to be expanded
'		: DBConnString 	-	<in/string>  Connection string to database that has abbreviation table 
'		: ExpandedString -	<out/string>  Contains string returned with no abbreviations
'		:
' '**********************************************************************************************

' Initialize variables

	AbreviatedString = "123 Main St"
	DBConnString = "Provider=SQLOLEDB;Server=DELL2400;Database=CallMasterSQL;User Id=admin;Password=;Integrated Security=SSPI;"
	ExpandedString = ""

	Prnt = "ExpandAbrv using connection string -> " & DBConnString & "."
	PrintNL Prnt

	ExpandAbrv AbreviatedString DBConnString ExpandedString

	'print out the results

	Prnt = "Abreviated string -> " & AbreviatedString & "."
	PrintNL Prnt
	Prnt = "Expanded string -> " & ExpandedString & "."
	PrintNL Prnt


EndProgram