Program


' '**********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 03/16/01
' File Name	: ReadCMAtt.bas
' Description	: Retrieve Attendant ID from CMDB.
' '**********************************************************************************************

' Initialize variables (select initialization statement and comment out the other)

'   Select to set AttID to the desired value (Commented out in example)
	'AttID = "12345"

'   or Set AttID to a touch tone input capture into a variable from a GETDTMF script
	AttID = DIGITS

	No = 0
	Yes = 1
	CMMatchExists = No
'----------------------------------------------------------------------------

' Select & Open CMDB database and see if Mailbox exists
    	Set CMvarSet = New Recordset
'----------------------------------------------------------------------------

' Select to set Query to select Attendant record with Attendant ID only.(Commented in example)
'    This will select record with Time of Day = 0 (All Day)
    	'strSQL = "SELECT * FROM Attendant WHERE AttendantID ='"
    	'strSQL = strSQL & AttID
    	'strSQL = strSQL & "'"
    	'Print "   "
    	'PrintNL strSQL

' OR -If you wish to select Attendant record with Attendant ID and specific Time of Day
'    Set Time of day to a string variable
'    Time of day  0=allday; 1=morning; 2=afternoon; 3=evening.
	TOD = "3"

'    Set Query to select Attendant record with Attendant ID and specific Time of Day
    	strSQL = "SELECT * FROM Attendant WHERE AttendantID ='"
    	strSQL = strSQL & AttID
    	strSQL = strSQL & "' AND TimeOfDay = "
     	strSQL = strSQL & TOD
    	'strSQL = strSQL & """
    	Print "   "
    	PrintNL strSQL
'----------------------------------------------------------------------------

' Open CMDB database and find record
    	CMvarSet.Open strSQL "ODBC;DATABASE=CallMASTER;UID=;PWD=;DSN=CallMASTER"

    	Set CMvarFields = CMvarSet.Fields

' If Record found (CMvarSet.EOF = 0) then set CMMatchExisits indicator to Yes and
'    assign field values to variables
' If Record NOT found then set CMMatchExisits indicator to No 
' Use CMMatchExisits indicator and variables as required for futher processing

     	If CMvarSet.EOF = 0 Then
	   CMMatchExists = Yes

    	' Get each field
   	   Set CMvarKey = CMvarFields.Field 1
	   Set CMvarAttID = CMvarFields.Field 2
	   Set CMvarTOD = CMvarFields.Field 3
	   Set CMvarTOT = CMvarFields.Field 4
	   Set CMvarETD = CMvarFields.Field 5

        ' Assign field values to variables
    	   AttendantID = CMvarAttID.Value
    	   TimeOfDay = CMvarTOD.Value
    	   TypeOfTransfer = CMvarTOT.Value
    	   ExtToDial = CMvarETD.Value

	' Free memory
   	   Set CMvarKey = Nothing
	   Set CMvarAttID = Nothing
	   Set CMvarTOD = Nothing
	   Set CMvarTOT = Nothing
	   Set CMvarETD = Nothing

' Print info for testing only -- remove if not desired
	   Print "Found Attendant ID "
	   PrintNL AttendantID
	   Print "Time of day = "
	   PrintNL TimeOfDay
	   Print "TypeOfTransfer = "
	   PrintNL TypeOfTransfer
	   Print "ExtToDial = "
	   PrintNL ExtToDial

	Else
	   CMMatchExists = No
	   Print "Attendant ID Not Found "
	   PrintNL AttID
	EndIf


' Free CMDB varSet, varFields, and close database
 
    	' Destroy Fields Object
    	Set CMvarFields = Nothing


    	' Close recordset
    	CMvarSet.Close

    	' Free memory
    	Set CMvarSet = Nothing

'    CMDB database closed




EndProgram
