Program

' **********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 10/24/00
' File Name	: ReadPlantInfo.bas
' Description	: Get Plant Info Record for matching Employee Number.
' **********************************************************************************************


' See Sample Script CreateDateTimeKey.bas on how to create variable DateToday



' Create a new recordset
	Set PIvarSet = New Recordset


	strSQL = "SELECT * FROM Daily WHERE EmployeeID ='"
    	strSQL = strSQL & FullEmployeeNo
    	strSQL = strSQL & "' AND StartDate > "
    	strSQL = strSQL & DateToday
    	strSQL = strSQL & " ORDER BY StartDate"

    	Print "   "
    	PrintNL strSQL


' Open PIDB database and find record
	PIvarSet.Open strSQL "ODBC;DATABASE=Prosser;UID=;PWD=;DSN=Prosser"

	PrintNL "PIDB Opened"

    	Set PIvarFields = PIvarSet.Fields

	PIDB-Open = Yes

' If the record exists then move record values for processing

     	If PIvarSet.EOF = 0 Then
    	   Set PIvarF2 = PIvarFields.Field 2
    	   Set PIvarF3 = PIvarFields.Field 3
    	   Set PIvarF12 = PIvarFields.Field 12
    	   Set PIvarF60 = PIvarFields.Field 60

    	   CardTimeDate = PIvarF2.Value
    	   StartDateTime = PIvarF3.Value
    	   ScheduleFg = PIvarF12.Value
    	   ShiftId = PIvarF60.Value


' Free field variables
    	   Set PIvarF2 = Nothing
    	   Set PIvarF3 = Nothing
    	   Set PIvarF12 = Nothing
    	   Set PIvarF60 = Nothing


' Set Switches
           PIMatchExists = Yes
	   'PIDB-Open = Yes
	   PrintNL "PIDB Match exists"

' else tell caller no match and ask if they wish to enter new selected criteria

     	Else
           PIMatchExists = No
	   PrintNL "PIDB Match does not exist"

' Free PIDB varSet, varFields, and close database

' Destroy Fields Object
     	   Set PIvarFields = Nothing

' Close recordset
     	   PIvarSet.Close

' Free memory
     	   Set PIvarSet = Nothing

' PIDB database closed
	   PIDB-Open = No
     	   PrintNL "PIDB Closed."
     	EndIf



' If record found return 132 (check ScheduleFg) else 9010 (error/retry)
	If PIMatchExists = Yes Then
	   TryCount = 0
	   Return 132
	Else
	   Return 1150
	EndIf

EndProgram
