Program

' 
'************************************************************************************************
' File Type     : CallMaster script file by SpeechSoft, Inc. 3/17/99
' File Name     : UpdateOutcallSchedule.bas
' Description   : Update OutcallSchedule for selected group with wildcard selection
' 		  Will find records from the OutcallSchedule table that has a "3" 
'		  in any position of the mailbox field (e.g. 123456, 3567, 123)
' 
'************************************************************************************************

' ***** NOTE: variables defined in the SetupOSGroup.bas script *****

' ***** NOTE: variable GroupNoInp can be set in a GetDTMF script or a variable as follows:
	GroupNoInp = "3"

' Create a new recordset
	Set OSvarSet = New Recordset


' Set Query for the caller's record with wildcard criteria
	strSQL = "SELECT * FROM OutcallSchedule WHERE Mailbox Like '%"
    	strSQL = strSQL & GroupNoInp
    	strSQL = strSQL & "%'"

    	Print "   "
    	PrintNL strSQL

' Open database and find record
    	OSvarSet.Open strSQL "ODBC;DATABASE=CallMaster;UID=;PWD=;DSN=CallMaster"
    	PrintNL "Opened OS"



' Get the data found
    	Set OSvarFields = OSvarSet.Fields
    	PrintNL "Set Fields"


' If the record exists
    	While OSvarSet.EOF = 0
    	    PrintNL "Found Record"
            Set OSvarF5 = OSvarFields.Field 5
            Set OSvarF6 = OSvarFields.Field 6
            Set OSvarF7 = OSvarFields.Field 7
            Set OSvarF8 = OSvarFields.Field 8
            Set OSvarF9 = OSvarFields.Field 9
            Set OSvarF10 = OSvarFields.Field 10
            Set OSvarF11 = OSvarFields.Field 11
            Set OSvarF13 = OSvarFields.Field 12
            Set OSvarF14 = OSvarFields.Field 14
            Set OSvarF16 = OSvarFields.Field 16
            Set OSvarF17 = OSvarFields.Field 17
            Set OSvarF18 = OSvarFields.Field 18
            Set OSvarF19 = OSvarFields.Field 19
            Set OSvarF20 = OSvarFields.Field 20
            Set OSvarF21 = OSvarFields.Field 21
            Set OSvarF25 = OSvarFields.Field 25
            Set OSvarF30 = OSvarFields.Field 30
    	PrintNL "Set Field Values"

' Assign values to OSvariables
    	PrintNL "OS-MsgIDs"
            OSvarF5.SetValue OS-Status
            OSvarF6.SetValue OS-Line
            OSvarF7.SetValue OS-Result
            OSvarF8.SetValue OS-Connect
            OSvarF9.SetValue OS-Rings
            OSvarF10.SetValue OS-StartDateTime
            OSvarF11.SetValue OS-Expires
            OSvarF13.SetValue OS-EarliestHour
            OSvarF14.SetValue OS-LatestHour
            OSvarF16.SetValue OS-BusyRetryMax
            OSvarF17.SetValue OS-BusyRetryCount
            OSvarF18.SetValue OS-BusyRetryTime
            OSvarF19.SetValue OS-NoAnswerRetryMax
            OSvarF20.SetValue OS-NoAnswerRetryCount
            OSvarF21.SetValue OS-NoAnswerRetryTime
            'OSvarF25.SetValue OS-AudiotexModule
            OSvarF30.SetValue OS-MsgIDs
    	PrintNL "SetValue"

' Update record
            OSvarSet.Update
    	PrintNL "Updated Record"

' Free field variables
            Set OSvarF5 = Nothing
            Set OSvarF6 = Nothing
            Set OSvarF7 = Nothing
            Set OSvarF8 = Nothing
            Set OSvarF9 = Nothing
            Set OSvarF10 = Nothing
            Set OSvarF11 = Nothing
            Set OSvarF13 = Nothing
            Set OSvarF14 = Nothing
            Set OSvarF16 = Nothing
            Set OSvarF17 = Nothing
            Set OSvarF18 = Nothing
            Set OSvarF19 = Nothing
            Set OSvarF20 = Nothing
            Set OSvarF21 = Nothing
            Set OSvarF25 = Nothing
            Set OSvarF30 = Nothing
    	PrintNL "Set Field Nothings"

' Get Next record
	    OSvarSet.MoveNext
    	PrintNL "MoveNext"

   	WEnd

' Free memory

' Destroy Fields Object
    	Set OSvarFields = Nothing

' Close recordset
    	OSvarSet.Close

' Free memory
    	Set OSvarSet = Nothing

EndProgram

