Program


' '**********************************************************************************************
' File Type	: ExtractFields script file by SpeechSoft, Inc. 04/08/08
' File Name	: ExtractFields.bas
' Description	: parses a string of fields that are seperated by a delimiter '|' and returns up to 5 variables with the fields string values. 
' 		: 
'		: Usage> ExtractFields SearchString FieldCount Fld1 Fld2 Fld3 Fld4 Fld5 
'		: SearchString - <in/string>  	contains the string of fields seperated by a delimiter
'		: FieldCount  -  <out/int>     	number of fields found (up to 5) 
'		: Fld1 thru 5 -  <out/string> 	Each Fld# variable will contain the string found in that field.*/
'		:
' '**********************************************************************************************

' Initialize variables

	SearchString = "Fld1|Fld2|Fld3|fld4|Fld5"
	FieldCount = 0
	Fld1 = ""
	Fld2 = ""
	Fld3 = ""
	Fld4 = ""
	Fld5 = ""

	ExtractFields SearchString FieldCount Fld1 Fld2 Fld3 Fld4 Fld5

	'print out the results
	Prnt = " ExtractFields result of Search String :" & SearchString & "."
	PrintNL Prnt
	IntegerToString FC FieldCount
	Prnt = FC & " fields found."
	PrintNL Prnt
	Prnt = "Fld1-> " & Fld1 & "| Fld2-> " & Fld2 & "| Fld3-> " & Fld3 & "| Fld4-> " & Fld4 & "| Fld5-> " & Fld5 & "|"
	PrintNL Prnt

EndProgram