Program
' '**********************************************************************************************
' 
' File Type	: CallMaster script file by SpeechSoft, Inc. 4-18-01
' File Name	: FaxReceiveTest.bas
' Description	: Demonstrates inbound fax.
' '**********************************************************************************************
' Syntax: FaxReceive <text> <type> <faxID> <pages>;    
'         Where <text> is a string variable with a File name to save fax in also 
'		returns File name actually saved
'                   <type> is a string variable containing either the string  "FILE" indicating the value of what the first parameter represents or a box number e.g. "2233"
'		returns the staus of the fax -1 Fail, 1 OK.
'	     <faxID> is a string variable that returns the FaxID used  to index this fax in the Fax Received Table
'	     <pages> is a string variable the returns the number of pages received

	PrintNL "Fax Receive sample script started."
	FAXFILE = "g:\cmfax\myfax.tif"
	FAXTYPE = "0314"
	FAXID = 0
	FAXPAGES = 0
	FaxReceive FAXFILE FAXTYPE FAXID FAXPAGES

	'Print out the results
	Print "Fax result:  FaxID - "
	Print FAXID
	Print " Fax Status - "
	Print FAXTYPE
	Print " File Name - "
	Print FAXFILE
	Print " Pages - "
	PrintNL FAXPAGES

EndProgram
