Program
' '**********************************************************************************************
' 
' File Type	: CallMaster script file by SpeechSoft, Inc. 10/21/04
' File Name	: FileRead.bas
' Description	: Read text in from an ascii file.
' Format	: FileRead <FileName> <ByteOffset> <ByteRequestCount> <BytesRead> <ByteBuffer>.  
'		If the variable named "ignoreNL" is defined and set > 0 , the command is to read past new line (CRLF) chars and the ByteRequestCount is used to determine how many bytes to read.  Other wise the read will break on NL chars.
'		<FileName>		- Name of the file to be read.
'		<ByteOffset>		- Byte count offset from the beginning of the file to start reading.
'		<ByteRequestCount>	- Number of bytes to be read from the file.
'		<BytesReadCount>	- The actual number of bytes returned from the file
'		<ByteBuffer>.		- A variable that will contain the bytes read from the file.
'
' '**********************************************************************************************

	Print "FileRead Test Script Starting"
	FileName = "readtest.txt"
	ByteOffset = 8
	ByteRequestCount = 125
	ignoreNL = 1

	FileRead FileName ByteOffset ByteRequestCount BytesReadCount ByteBuffer

	Text = "Read: " & ByteBuffer
	Text = Text & ", length: "
	IntegerToString strBytesReadCount BytesReadCount
	Text = Text & strBytesReadCount
	Print Text

EndProgram
