Program
' '**********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 04/08/08
' File Name	: FindDups.bas
' Description	: finds duplicate fields in a string with a delimiter, 
' 		: the results is placed in 5 variables that return the position of unique groups of fields.
'		: Usage> FindDups SearchString UniqueCount UG1 UG2 UG3 UG4 UG5 
'		: SearchString - <in/string>  contains the string of 5 fields seperated by a delimiter "|"
'		: UniqueCount - <out/int>     number of unique fields (up to 5)
'		: UG1 thru 5 -  <out/string> Each UG# variable will contain the position of the duplicate string found.
'		:
'		: Ex.	SearchString = "Glass|Can|Can|Bottle|Glass"
'		:	UniqueCount will return 3 (# of unique fields - Glass, Can, Bottle)
'		:	UG1 = 15 (the position of field Glass)
'		:	UG2 = 23 (the position of field Can)
'		:	UG3 = 4 (the position of field Bottle)
' '**********************************************************************************************

' Initialize variables	

	SearchString = "Glass|Can|Can|Bottle|Glass"
	UniqueCount = 0
	UG1 = ""
	UG2 = ""
	UG3 = ""
	UG4 = ""
	UG5 = ""

	FindDups SearchString UniqueCount UG1 UG2 UG3 UG4 UG5

	'print out the results
	Prnt = " FindDups result of Search String :" & SearchString
	PrintNL Prnt

	IntegerToString PUC UniqueCount 
	Prnt = PUC & " unique fields found."
	PrintNL Prnt
	Prnt = "UG1-> " & UG1
	Prnt = Prnt & "| UG2-> "
	Prnt = Prnt & UG2
	Prnt = Prnt & "| UG3-> "
	Prnt = Prnt & UG3
	Prnt = Prnt & "| UG4-> "
	Prnt = Prnt & UG4
	Prnt = Prnt & "| UG5-> "
	Prnt = Prnt & UG5
	Prnt = Prnt & "|"
	PrintNL Prnt

EndProgram
