Program

' '**********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 12/216/99
' File Name	: GetFloat-FloatToString.bas
' Description	: Example of GetFloat and the FloatToString commands.
'		  This example shows how to take a string variable and convert to a floating point 
'	  	  variable using the GetFloat command.
'		  It also shows how to take a floating point variable and convert to a string
'	  	  variable using the FloatToString command.
'
'**********************************************************************************************


'GetFloat assigns to a destination variable the value of a source string variable 
' starting from a specific position (counting from zero) 
' The destination variable is a floating point value.

	PrintNL "GetFloat test"

	strvar = "1234956789.995"
	pos = 4


	GetFloat fltvar strvar pos

	Print "Destination floating point number is "
	Print fltvar

' This will print "Destination floating point number is 956789.995"


'FloatToString converts the value of a source floating point variable from the above example to a string variable  


	PrintNL "FloatToString test"

	strvar2 = ""

		
	FloatToString strvar2 fltvar

	Print "Destination string number is "
	Print strvar2

' This will print "Destination string number is 956789.995"


EndProgram
