Program

' '**********************************************************************************************
' File Type	: CallMaster script file by SpeechSoft, Inc. 12/216/99
' File Name	: MoveFirstNextLastPrev.bas
' Description	: Traversing thru the Messages table of the CallMaster database 
'		  
'**********************************************************************************************

' Open recordset
    	Set varSet = New Recordset
	varSet.Open "SELECT * FROM Message" "ODBC;DATABASE=CallMASTER;UID=;PWD=;DSN=CallMASTER"

' Check if any records found.
	If varSet.EOF = 0 Then
		Print "Not eof"
	Else
		Print "Eof"
	EndIf

	If varSet.BOF = 0 Then
		Print "Not bof"
	Else
		Print "bof"
	EndIf
		
' Initialize Field set and variables
	Set varFields = varSet.Fields


	iMax = varFields.Count
	Print "iMax = "
	PrintNL iMax

	jRecord = 1

' Traverse forward through the database till End Of File
	PrintNL "example of traversing the recordset forward"
	PrintNL "This will print the 1st field and then every third field"

	varSet.MoveFirst

	While varSet.EOF = 0
		Print "Record:"
		PrintNL jRecord
		For i = 1 To iMax Step 3
			Set varField = varFields.Field i

			' display the field name		
			strFieldName = varField.Name
			Print strFieldName

			' display the field value
			vValue = varField.Value
			Print vValue

			Set varField = Nothing
		Next
		varSet.MoveNext
		jRecord = jRecord + 1
	WEnd

' Traverse backward through the database till End Of File
	PrintNL "Going backwards - This will print every field"

	varSet.MoveLast

	While varSet.BOF = 0
		For i = 1 To iMax Step 1
			Set varField = varFields.Field i

			' display the field name		
			strFieldName = varField.Name
			Print strFieldName

			' display the field value
			vValue = varField.Value
			Print vValue

			Set varField = Nothing
		Next
		varSet.MovePrevious
	WEnd

' Close database
	varSet.Close

	Set varFields = Nothing
	Set varSet = Nothing

EndProgram
