Program

' 
'************************************************************************************************
' File Type     : CallMaster script file by SpeechSoft, Inc. 3/17/99
' File Name     : ReadOutcallSchedule.bas
' Description   : Read OutcallSchedule table using the called area code and phone number
' 
'************************************************************************************************

    Print "   Phone Number = "
    PrintNL $phonenum
    Print "   Area Code = "
    PrintNL $areacode


    ' Create a new recordset
    Set varSet = New Recordset

    ' Set Query for the caller's record
    strSQL = "SELECT * FROM OutcallSchedule WHERE AreaCode = '"
    strSQL = strSQL & $areacode
    strSQL = strSQL & "' AND PhoneNumber = '"
    strSQL = strSQL & $phonenum
    strSQL = strSQL & "'"
    Print "   "
    PrintNL strSQL

    ' Open database and find record
    varSet.Open strSQL "ODBC;DATABASE=CallMaster;UID=;PWD=;DSN=CallMaster"

    ' Get the data found
    Set varFields = varSet.Fields


    If varSet.EOF = 0 Then
    ' If the record exists
    ' Get each field
       Set varF1 = varFields.Field 1
       Set varF2 = varFields.Field 2
       Set varF3 = varFields.Field 3
       Set varF4 = varFields.Field 4
       Set varF5 = varFields.Field 5
       Set varF6 = varFields.Field 6
       Set varF7 = varFields.Field 7
       Set varF26 = varFields.Field 26

    ' Assign values to OSvariables
       PrintNL "OutcallSchedule field values"
       OS-ID = varF1.Value
       OS-Status = varF5.Value
       OS-Line = varF6.Value
       OS-Result = varF7.Value
       OS-Mailbox = varF26.Value

    ' Free all memory
       Set varF1 = Nothing
       Set varF2 = Nothing
       Set varF3 = Nothing
       Set varF4 = Nothing
       Set varF5 = Nothing
       Set varF6 = Nothing
       Set varF7 = Nothing
       Set varF26 = Nothing

       PrintNL "**** Record found"
       Print "**** ID = "
       PrintNL OS-ID
       Print "**** Mailbox = "
       PrintNL OS-Mailbox


    Else
    ' If the record doesn't exist
       PrintNL "   Record not found"
    EndIf


 
    ' Destroy Fields Object
    Set varFields = Nothing

    ' Close recordset
    varSet.Close

    ' Free memory
    Set varSet = Nothing

EndProgram

