Program
' '**********************************************************************************************
' 
' File Type	: CallMaster script file by SpeechSoft, Inc. 1-18-05
' File Name	: SpeakName.bas
' Description	: Using SAPI Text To Speech, say the first and last name of the patient from the Name field
' '**********************************************************************************************

' Syntax: Speak <text> <type>;    
'         Where <text> is a variable with a string to be spoken or a full path\filename, 
'               <type> is a variable containing either the string "TEXT" or "FILE" 
'                      indicating the value of what the first parameter represents.



' Example 1 for TEXT usage
	type = "TEXT"
	TexttoSpeak = "This is a sample of text to speechs using the text command in CallMaster's CallBasic."

	' Using the default voice

	'Speak TexttoSpeak type

	'PrintNL "TTS1 Complete"


	' The next set of lines are used to select a specific voice from the SAPI voice folder

	'saythis = "<voice required=" & $DQuote
	'saythis = saythis & "Name=Crystal16"
	'saythis = saythis & $DQuote
	'saythis = saythis & "> "
	'saythis = saythis & TexttoSpeak
	'PrintNL saythis
	'Speak saythis type

	'PrintNL "TTS2 Complete"


' Example 2 for FILE usage
	type = "FILE"

	FiletoSpeak = "C:\Program Files\CALLMaster\Doc\TTSTestFile-specifiedVoice.txt"


	' Using the default voice just have required text in the .txt file
	' To use different voice, place selection text in .txt file.  Example of .txt file below
	' <voice required="Name=Crystal16"> 
	' This is a test file using CALLMaster's text to speech file command in CallBASIC with Crystal16

 
	Speak FiletoSpeak type

	PrintNL "TTS3 Complete"



EndProgram
